
Redmine - Feature #6260

REST API for Users

2010-09-01 03:26 - yusuke kokubo

Status: Closed Start date: 2010-09-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed   

Description

It would be nice to have REST API for Users.

It can provides assigned Issues and Projects group by users.

Related issues:

Has duplicate Redmine - Patch #4596: REST api fto get account info ? Closed 2010-01-16

Associated revisions

Revision 4453 - 2010-12-03 12:28 - Jean-Philippe Lang

Adds xml/json REST API for Users (#6260).

History

#1 - 2010-09-28 13:43 - Cyril Servant

- File diff added

Here is what I've done for the REST API. It enables :

- creating a user

- updating a user

- listing users

- showing a user details

I'm aware it's not perfect, but heh, it's here :)

If you think I should change something, don't hesitate to tell me.

#2 - 2010-10-21 18:42 - Eric Davis

- Assignee set to Eric Davis

- Target version set to 1.1.0

This feature is planned as part of 1.1 but I haven't reviewed this patch yet.

#3 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#4 - 2010-12-03 12:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Added in r4453.

Files

diff 9.62 KB 2010-09-28 Cyril Servant
